StoreConfiguration =
  (require '../../../src/database/persistence/StoreConfiguration.coffee').
  StoreConfiguration

exports.testConfigurations = (test) ->
  test.expect 6
  c = StoreConfiguration.DBCONFIG_WITHOUT_DUPLICATES
  test.ok c.id == 0 && !c.duplicates && !c.prefixing && !c.useExisting && !c.readOnly
  c = StoreConfiguration.DBCONFIG_WITH_DUPLICATES
  test.ok c.id == 1 && c.duplicates && !c.prefixing && !c.useExisting && !c.readOnly
  c = StoreConfiguration.DBCONFIG_WITHOUT_DUPLICATES_WITH_PREFIXING
  test.ok c.id == 2 && !c.duplicates && c.prefixing && !c.useExisting && !c.readOnly
  c = StoreConfiguration.DBCONFIG_WITH_DUPLICATES_WITH_PREFIXING
  test.ok c.id == 3 && c.duplicates && c.prefixing && !c.useExisting && !c.readOnly
  c = StoreConfiguration.DBCONFIG_USE_EXISTING
  test.ok c.id == 5 && !c.duplicates && !c.prefixing && c.useExisting && !c.readOnly
  c = StoreConfiguration.DBCONFIG_USE_EXISTING_READONLY
  test.ok c.id == 5 && !c.duplicates && !c.prefixing && c.useExisting && c.readOnly
  test.done()